Skip to main content
GET
List all topology group labels

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ancestor_id
string<uuid>[]

Multiple values may be separated by commas.

annotation_eq
object

Filter by annotation key=value pairs (AND semantics). Use annotation_eq[key]=value.

annotation_has
string

Filter by annotation key existence (comma-separated, AND semantics).

facet
enum<string>

Optional. Keep only groups in this topology facet.

  • networking - networking
  • power - power
Available options:
networking,
power
label
string
parent_id
string<uuid>[]

Multiple values may be separated by commas.

site_id
string<uuid>
required

Site ID used to constrain the unpaginated compact response.

tag
string

Filter by tags (comma-separated, OR semantics).

top_level
boolean
type
enum<string>

Optional. Keep only groups of this tier; pod is the pod set.

  • root - root
  • super-spine - super-spine groups multiple spines together
  • spine - spine groups multiple pods together
  • pod - pod groups either multiple devices or multiple nvlink-domains together
  • nvlink-domain - nvlink-domain groups multiple devices together (min: 1)
  • unknown - unknown
Available options:
root,
super-spine,
spine,
pod,
nvlink-domain,
unknown

Response